## ruby1.9.1 1.9.3.194

=== debian/changelog ===
ruby1.9.1 (1.9.3.194-8.1+deb7u2) stable-security; urgency=low

  [ Raphaël Hertzog ]
  * debian/patches/CVE-2013-4164.patch: add upstream patch to fix heap
    overflow in floating point parsing. Closes: #730178

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Dec 2013 23:28:34 -0300

ruby1.9.1 (1.9.3.194-8.1+deb7u1) stable-security; urgency=low

  * debian/patches/CVE-2013-2065.patch: add upstream patch to fix object taint
    bypassing in libraries to handle native code through dlopen().
  * debian/patches/CVE-2013-4073.patch: fix hostname check bypassing
    vulnerability in SSL client. Thanks to Salvatore Bonaccorso.
    Closes: #714543

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 30 May 2013 23:21:11 -0300

ruby1.9.1 (1.9.3.194-8.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add CVE-2013-1821.patch patch.
    CVE-2013-1821: Fix entity expansion DoS vulnerability in REXML. When
    reading text nodes from an XML document, the REXML parser could be
    coerced into allocating extremely large string objects which could
    consume all available memory on the system. (Closes: #702525)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 Mar 2013 21:48:20 +0100

ruby1.9.1 (1.9.3.194-8) unstable; urgency=low

  * ruby1.9.1: add Breaks: apt-listbugs (<< 0.1.6) to avoid breaking the
    squeeze->wheezy upgrades (Closes: #701466).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2013 09:21:27 -0300

ruby1.9.1 (1.9.3.194-7) unstable; urgency=high

  * debian/patches/CVE-2013-0269.patch: fix possible denial of service and
    unsafe object creation vulnerability in JSON (Closes: #700471)

 -- Cédric Boutillier <boutil@debian.org>  Wed, 13 Feb 2013 14:56:19 +0100

ruby1.9.1 (1.9.3.194-6) unstable; urgency=high

  [Nobuhiro Iwamatsu]
  * debian/patches/CVE-2013-0256.patch: fix possible cross site scripting
    vulnerability in documentation generated by RDOC (Closes: #699929)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 12 Feb 2013 16:00:30 -0300

ruby1.9.1 (1.9.3.194-5) unstable; urgency=high

  * Disable running the test suite during the build on sparc again. Keeping
    urgency=high because the previous release, which contains a security bug
    fix, did not reach testing yet because of a segfault when running tests in
    the sparc buildd.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 25 Nov 2012 19:12:28 -0300

ruby1.9.1 (1.9.3.194-4) unstable; urgency=high

  [ James Healy ]
  * debian/patches/CVE-2012-5371.patch: avoid DOS vulnerability in hash
    implementation, this fixes CVE-2012-5371. (Closes: #693024).

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 22 Nov 2012 10:30:37 -0300

ruby1.9.1 (1.9.3.194-3) unstable; urgency=high

  * debian/patches/CVE-2012-4522.patch: avoid vulnerability with strings
    containing NUL bytes passed to file creation methods. This fixes
    CVE-2012-4522 (Closes: #690670).

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 16 Oct 2012 10:27:20 -0300

ruby1.9.1 (1.9.3.194-2) unstable; urgency=low

  * debian/patches/20120927-cve_2011_1005.patch: patch sent by upstream;
    fixes CVE-2011-1005 which was thought of as not affecting the Ruby 1.9.x
    series (Closes: #689075). Thanks to Tyler Hicks <tyhicks@canonical.com>
    for reporting the issue.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 06 Oct 2012 16:29:42 -0300

ruby1.9.1 (1.9.3.194-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Add hurd-path-max.diff. Fixes FTBFS on Hurd. (Closes: #648055)

  [ Daigo Moriwaki ]
  * Removed debian/patches/debian/patches/sparc-continuations.diff,
    which the upstream has applied.
  * debian/rules:
    - Bumped up tcltk_ver to 8.5.
    - Used chrpath for tcltklib.so to fix a lintian error,
      binary-or-shlib-defines-rpath.
  * debian/control:
    - Suggests ruby-switch. (Closes: #654312)
    - Build-Depends: chrpath.
  * debian/libruby1.9.1.symbols: Added a new symbol for
    rb_str_modify_expand@Base.
  * debian/run-test-suites.bash:
    - Corrected options for test-all.
    - Enabled timeout to allow hang tests to be aborted.

  [ James Healy ]
  * New upstream release: 1.9.3p194 (Closes: #669582)
    + This release includes a fix for CVE-2011-0188 (Closes: #628451)
    + This release also does not segfault when running the test suite under
      amd64 (Closes: #674347)
  * Enable hardened build flags (Closes: #667964)
  * debian/control:
    - depend on specific version on coreutils
    - update policy version (no changes)

  [ Antonio Terceiro ]
  * debian/ruby1.9.1.postinst:
    + bump alternatives priority for `ruby` to 51 so that Ruby 1.9 has a
      higher priority than Ruby 1.8 (50).
    + bump alternatives priority for `gem` to 181 so that the Rubygems
      provided by Ruby 1.9 has priority over the one provided by the rubygems
      package.
  * debian/control: added myself to Uploaders:
  * debian/libruby1.9.1.symbols: update with new symbols added in 1.9.3p194
    upstream release.
  * debian/manpages/*: fix references to command names with s/1.9/1.9.1/
  * debian/rules: skip running DRB tests, since they seem to make the build
    hang. This should close #647296, but let's way and see. Also, with this do
    not need to timeout the test suite anymore.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 02 Jun 2012 07:42:28 -0300

ruby1.9.1 (1.9.3.0-2) unstable; urgency=low

  * gcc's #635126 requiring -fno-tree-sra has been fixed.
    Disable workaround in that package.
  * add sparc-continuations.diff: fixes segfault during test suite on sparc.
    Closes: #593138, #545345. Many thanks to Jurij Smakov.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 19 Dec 2011 21:33:37 +0100
