=== debian/rules ===
#!/usr/bin/make -f

ruby_ver = 1.9.1
ruby_ver_major = 1.9
ruby_ver_dir = $(ruby_ver)
ruby_libpkgsfx = $(ruby_ver)
tcltk_ver = 8.5

arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_HOST_GNU_TYPE)))
ifeq (i686-linux-lp,$(arch_name))
 arch_name = i686-linux
endif

ruby_name = ruby$(ruby_ver)
ruby_libbase = usr/lib/ruby
ruby_libdir = $(ruby_libbase)/$(ruby_ver_dir)
ruby_archdir = $(ruby_libbase)/$(ruby_ver_dir)/$(arch_name)
bin_dir = usr/bin
man_dir = usr/share/man/man1

el_etc = etc/emacs/site-start.d

examples_dir = $(CURDIR)/debian/ruby$(ruby_ver)-examples/usr/share/doc/ruby$(ruby_ver)-examples/examples

insns_cache_dir = debian/generated-incs

#deb_ver = $(shell dpkg-parsechangelog | awk '/^Version:/{print $2}')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_AUTOCONF = YES

CFLAGS += -fno-strict-aliasing
CXXFLAGS += -fno-strict-aliasing

# Renesas SH(sh4) needs -mieee option. #591785
ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
	CFLAGS += -mieee
endif

ifeq ($(DEB_HOST_GNU_CPU),i386)
	DEB_CONFIGURE_USER_FLAGS += --enable-frame-address
endif
ifneq (,$(filter $(DEB_HOST_GNU_CPU),i486 i586 i686))
	DEB_CONFIGURE_USER_FLAGS += --enable-frame-address
endif
DEB_CONFIGURE_USER_FLAGS += --enable-pthread
DEB_CONFIGURE_USER_FLAGS += --enable-shared
DEB_CONFIGURE_USER_FLAGS += --disable-rpath
DEB_CONFIGURE_USER_FLAGS += --disable-install-doc
DEB_CONFIGURE_USER_FLAGS += --with-vendordir='/$(ruby_libbase)/vendor_ruby'
DEB_CONFIGURE_USER_FLAGS += --with-sitedir='/usr/local/lib/site_ruby'
DEB_CONFIGURE_USER_FLAGS += --program-suffix=1.9.1
DEB_CONFIGURE_USER_FLAGS += --with-soname=ruby-1.9.1
DEB_CONFIGURE_USER_FLAGS += --with-baseruby=/usr/bin/ruby1.8
# the following are ignored by ./configure, but used by some extconf.rb scripts
DEB_CONFIGURE_USER_FLAGS += --enable-ipv6
DEB_CONFIGURE_USER_FLAGS += --with-dbm-type=gdbm_compat
DEB_CONFIGURE_USER_FLAGS += --with-tklib=tk$(tcltk_ver)
DEB_CONFIGURE_USER_FLAGS += --with-tcllib=tcl$(tcltk_ver)
DEB_CONFIGURE_USER_FLAGS += --with-tcl-include=/usr/include/tcl$(tcltk_ver)
DEB_CONFIGURE_USER_FLAGS += --with-bundled-sha1
DEB_CONFIGURE_USER_FLAGS += --with-bundled-md5
DEB_CONFIGURE_USER_FLAGS += --with-bundled-rmd160

ifeq (,$(filter nordoc,$(DEB_BUILD_OPTIONS)))
DEB_MAKE_BUILD_TARGET = all
else
DEB_MAKE_BUILD_TARGET = main
endif

DEB_INSTALL_DOCS_libtcltk-ruby$(ruby_ver) += $(DEB_SRCDIR)/ext/tk/README*
DEB_INSTALL_DOCS_libtcltk-ruby$(ruby_ver) += $(DEB_SRCDIR)/ext/tk/MANUAL*

DEB_INSTALL_DIRS_ruby$(ruby_ver) += $(bin_dir)
DEB_INSTALL_DIRS_ruby$(ruby_ver) += $(man_dir)
DEB_INSTALL_DOCS_ruby$(ruby_ver) += 
DEB_INSTALL_DOCS_ruby$(ruby_ver) += $(DEB_SRCDIR)/LEGAL
DEB_INSTALL_DOCS_ruby$(ruby_ver) += $(DEB_SRCDIR)/README
DEB_INSTALL_DOCS_ruby$(ruby_ver) += $(DEB_SRCDIR)/README.ja
DEB_INSTALL_DOCS_ruby$(ruby_ver) += $(DEB_SRCDIR)/ToDo
DEB_INSTALL_DOCS_ruby$(ruby_ver) += $(DEB_SRCDIR)/doc/NEWS-1.8.7
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/testrb$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/erb$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/rake$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/rdoc$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/irb$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/gem$(ruby_ver).1
DEB_INSTALL_MANPAGES_ruby$(ruby_ver) += debian/manpages/ri$(ruby_ver).1

DEB_INSTALL_DOCS_libruby$(ruby_libpkgsfx) += $(DEB_SRCDIR)/lib/README
DEB_INSTALL_DOCS_libruby$(ruby_libpkgsfx) += $(DEB_SRCDIR)/doc/NEWS-1.8.7
DEB_INSTALL_DOCS_libruby$(ruby_libpkgsfx) += $(DEB_SRCDIR)/doc/*.rd*


DEB_INSTALL_DOCS_ruby$(ruby_ver)-dev += $(DEB_SRCDIR)/README.EXT*

DEB_COMPRESS_EXCLUDE = .rb .pl .py .scm .awk .dat
DEB_SHLIBDEPS_INCLUDE = $(CURDIR)/debian/libruby$(ruby_libpkgsfx)/usr/lib
DEB_DH_MAKESHLIBS_ARGS_libruby$(ruby_libpkgsfx) = -V

pre-build::
	(find $(insns_cache_dir) -type f -print; \
	  echo configure; \
	  echo parse.c; \
	) | \
	  while read f; \
	  do \
	    bf=`basename $$f`; \
	    if [ ! -e $$bf.upstream-orig ] && [ -e $$bf ]; then \
	      cp -p $$bf $$bf.upstream-orig; \
	    fi; \
	    if [ "$$f" != "$$bf" ]; then \
	      cp -p $$f $$bf; \
	    fi; \
	  done
	echo -n "uname -a: "
	uname -a
	echo "/proc/cpuinfo: ----------"
	-cat /proc/cpuinfo
	echo "-------------------------"

common-post-build-arch::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# Disable test suites on some broken architectures.
# See http://lists.debian.org/debian-release/2011/10/msg00279.html
ifeq (,$(filter $(DEB_BUILD_ARCH),ia64 kfreebsd-i386 kfreebsd-amd64 sparc))
	mv test/drb _test_drb
	debian/run-test-suites.bash
	mv _test_drb test/drb
endif
endif

binary-install/libtcltk-ruby$(ruby_ver)::
	dh_movefiles -p$(cdbs_curpkg) \
	    $(ruby_archdir)/tcltklib.so \
	    $(ruby_archdir)/tkutil.so
	chrpath --delete $(CURDIR)/debian/$(cdbs_curpkg)/$(ruby_archdir)/tcltklib.so
	sh $(CURDIR)/debian/extfixup_rubylibs.sh $(ruby_libdir) $(cdbs_curpkg) \
	    $(DEB_SRCDIR)/ext/tk

	install -d \
	    $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples
	(cd $(DEB_SRCDIR)/ext/tk/sample && \
	 tar cf - .) | \
	  (cd $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/examples && tar xf -)
	mv $(CURDIR)/debian/tmp/$(ruby_libdir)/tkextlib/SUPPORT_STATUS \
	    $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/
	install \
	    $(DEB_SRCDIR)/ext/tk/lib/README \
	    $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/README.lib
	install \
	    $(DEB_SRCDIR)/ext/tk/lib/tkextlib/tcllib/README \
	    $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/README.tcllib
	install \
	    $(DEB_SRCDIR)/ext/tk/lib/tkextlib/tkimg/README \
	    $(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/README.tkimg

binary-install/libruby$(ruby_libpkgsfx):: $(patsubst %,binary-install/%,$(filter-out libruby$(ruby_libpkgsfx),$(DEB_PACKAGES)))
	install -d $(CURDIR)/debian/$(cdbs_curpkg)/$(ruby_archdir)
	for s in $(CURDIR)/debian/$(cdbs_curpkg).*.in; do \
	    sed -e 's/@@arch@@/$(arch_name)/g' \
		-e 's/@@verdir@@/$(ruby_ver_dir)/g' \
		< $$s > `expr $$s : '\(.*\)\.in$$'`; \
	done

	(cd $(CURDIR)/debian/tmp/usr/lib && \
	    for f in libruby-$(ruby_ver).so.$(ruby_ver) libruby-$(ruby_ver).so.$(ruby_ver_major); do \
		echo usr/lib/$$f; \
	    done) | xargs dh_movefiles -p$(cdbs_curpkg) 
	dh_movefiles -p$(cdbs_curpkg) $(ruby_libdir)

	cd $(DEB_SRCDIR)/ext && \
	for dir in \
	    bigdecimal continuation curses digest dl etc \
	    fcntl iconv io json nkf openssl psych pty racc readline \
	    ripper sdbm socket stringio strscan syck syslog zlib \
	    ; \
	do \
	    install -d "$(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/$$dir"; \
	    find $$dir \
	  	    -name '*README*' -or -name '*.html*' -or \
	  	    -name '*.txt*' -or -name '*.rd*' | \
		while read fname; \
		do \
		    cp "$$fname" \
		     	"$(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/$$dir"; \
		done; \
		rmdir "$(CURDIR)/debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/$$dir" 2>/dev/null || :; \
	    done

	find $(CURDIR)/debian/etc -type f -name "*.in" | \
	  while read fname; \
	  do \
	    sed -e 's/@@VERSION@@/1\.9\.1/g' -e 's/@@DOTLESS_VERSION@@/191/g' \
		< $$fname > `expr $$fname : '\(.*\)\.in$$'`1.9.1; \
	  done; \
	  : \
	done
	dh_install -p$(cdbs_curpkg) \
	  debian/etc/bash_completion.d/gem1.9.1 etc/bash_completion.d/

binary-install/ruby$(ruby_ver)-dev::
	dh_movefiles -p$(cdbs_curpkg) \
	    usr/lib/libruby-$(ruby_ver).so \
	    usr/lib/libruby-$(ruby_ver)-static.a \
	    $(ruby_libdir)/mkmf.rb
	(cd $(CURDIR)/debian/tmp && \
	    find usr/include/ruby-$(ruby_ver) -name '*.h' -type f) | \
	    xargs dh_movefiles -p$(cdbs_curpkg)

binary-install/ruby$(ruby_ver)::
	dh_movefiles -p$(cdbs_curpkg) \
	    usr/bin/ruby1.9.1 \
	    usr/bin/erb1.9.1 \
