=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 
 CFLAGS += -fno-strict-aliasing
 CXXFLAGS += -fno-strict-aliasing
+LDFLAGS += -L$(CURDIR)/debian/lib
+
 
 # Renesas SH(sh4) needs -mieee option. #591785
 ifeq (sh4,$(shell dpkg-architecture -qDEB_HOST_ARCH))
@@ -54,13 +56,15 @@
 DEB_CONFIGURE_USER_FLAGS += --with-sitedir='/usr/local/lib/site_ruby'
 DEB_CONFIGURE_USER_FLAGS += --program-suffix=1.9.1
 DEB_CONFIGURE_USER_FLAGS += --with-soname=ruby-1.9.1
-DEB_CONFIGURE_USER_FLAGS += --with-baseruby=/usr/bin/ruby1.8
 # the following are ignored by ./configure, but used by some extconf.rb scripts
 DEB_CONFIGURE_USER_FLAGS += --enable-ipv6
 DEB_CONFIGURE_USER_FLAGS += --with-dbm-type=gdbm_compat
 DEB_CONFIGURE_USER_FLAGS += --with-tklib=tk$(tcltk_ver)
 DEB_CONFIGURE_USER_FLAGS += --with-tcllib=tcl$(tcltk_ver)
 DEB_CONFIGURE_USER_FLAGS += --with-tcl-include=/usr/include/tcl$(tcltk_ver)
+DEB_CONFIGURE_USER_FLAGS += --with-tk-include=/usr/include/tcl$(tcltk_ver)
+DEB_CONFIGURE_USER_FLAGS += --with-tcl-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
+DEB_CONFIGURE_USER_FLAGS += --with-tk-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
 DEB_CONFIGURE_USER_FLAGS += --with-bundled-sha1
 DEB_CONFIGURE_USER_FLAGS += --with-bundled-md5
 DEB_CONFIGURE_USER_FLAGS += --with-bundled-rmd160
@@ -121,15 +125,16 @@
 	echo "/proc/cpuinfo: ----------"
 	-cat /proc/cpuinfo
 	echo "-------------------------"
+	mkdir -p debian/lib
+	ln -sf /usr/lib/$(DEB_HOST_MULTIARCH)/libtcl$(tcltk_ver).so debian/lib/libtcl.so
+	ln -sf /usr/lib/$(DEB_HOST_MULTIARCH)/libtk$(tcltk_ver).so debian/lib/libtk.so
 
 common-post-build-arch::
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # Disable test suites on some broken architectures.
 # See http://lists.debian.org/debian-release/2011/10/msg00279.html
 ifeq (,$(filter $(DEB_BUILD_ARCH),ia64 kfreebsd-i386 kfreebsd-amd64 sparc))
-	mv test/drb _test_drb
 	debian/run-test-suites.bash
-	mv _test_drb test/drb
 endif
 endif
 
@@ -170,7 +175,8 @@
 	    for f in libruby-$(ruby_ver).so.$(ruby_ver) libruby-$(ruby_ver).so.$(ruby_ver_major); do \
 		echo usr/lib/$$f; \
 	    done) | xargs dh_movefiles -p$(cdbs_curpkg) 
-	dh_movefiles -p$(cdbs_curpkg) $(ruby_libdir)
+	# Do not install the SSL certs bundled in the upstream source
+	dh_movefiles -p$(cdbs_curpkg) -Xssl_certs $(ruby_libdir)
 
 	cd $(DEB_SRCDIR)/ext && \
 	for dir in \
@@ -203,15 +209,3 @@
 	  debian/etc/bash_completion.d/gem1.9.1 etc/bash_completion.d/
 
 binary-install/ruby$(ruby_ver)-dev::
-	dh_movefiles -p$(cdbs_curpkg) \
-	    usr/lib/libruby-$(ruby_ver).so \
-	    usr/lib/libruby-$(ruby_ver)-static.a \
-	    $(ruby_libdir)/mkmf.rb
-	(cd $(CURDIR)/debian/tmp && \
-	    find usr/include/ruby-$(ruby_ver) -name '*.h' -type f) | \
-	    xargs dh_movefiles -p$(cdbs_curpkg)
-
-binary-install/ruby$(ruby_ver)::
-	dh_movefiles -p$(cdbs_curpkg) \
-	    usr/bin/ruby1.9.1 \
-	    usr/bin/erb1.9.1 \
